Package com.evopdf

# Class PdfForm

java.lang.Object
com.evopdf.PdfForm

public class PdfForm extends Object
This class represents the PDF form of a PDF document

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addButton(PdfPage pdfPage, PdfFormButton button)`
  Creates a button in PDF form
  `void`
  `addCheckBox(PdfPage pdfPage, PdfFormCheckBox checkBox)`
  Creates a check box form field in PDF form of the PDF document
  `void`
  `addComboBox(PdfPage pdfPage, PdfFormComboBox comboBox)`
  Creates a combo box field in PDF form
  `void`
  `addListBox(PdfPage pdfPage, PdfFormListBox listBox)`
  Creates a list box field in PDF form
  `void`
  `addRadioButtonsGroup(PdfPage pdfPage, PdfFormRadioButtonsGroup radioButtonsGroup)`
  Creates a group of radio buttons in PDF form
  `void`
  `addTextBox(PdfPage pdfPage, PdfFormTextBox textBox)`
  Creates a text box form field in PDF form of the PDF document
  `void`
  `flattenFields()`
  `Document`
  `parentDocument()`
  Gets the form parent document

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### parentDocument

    public Document parentDocument()
    Gets the form parent document
    Returns:
      the form parent document

  - ### addCheckBox

    public void addCheckBox(PdfPage pdfPage, PdfFormCheckBox checkBox)
    Creates a check box form field in PDF form of the PDF document
    Parameters:
      `pdfPage` - the PDF page in which to place the check box control
      `checkBox` - the check box field to add

  - ### addListBox

    public void addListBox(PdfPage pdfPage, PdfFormListBox listBox)
    Creates a list box field in PDF form
    Parameters:
      `pdfPage` - the PDF page in which to place the list box control
      `listBox` - the list box field to add

  - ### addButton

    public void addButton(PdfPage pdfPage, PdfFormButton button)
    Creates a button in PDF form
    Parameters:
      `pdfPage` - the PDF page in which to place the button
      `button` - the button field to add

  - ### addTextBox

    public void addTextBox(PdfPage pdfPage, PdfFormTextBox textBox)
    Creates a text box form field in PDF form of the PDF document
    Parameters:
      `pdfPage` - the PDF page in which to place the text box control
      `textBox` - the text box field to add

  - ### addComboBox

    public void addComboBox(PdfPage pdfPage, PdfFormComboBox comboBox)
    Creates a combo box field in PDF form
    Parameters:
      `pdfPage` - the PDF page in which to place the combo box control
      `comboBox` - the combo box field to add

  - ### addRadioButtonsGroup

    public void addRadioButtonsGroup(PdfPage pdfPage, PdfFormRadioButtonsGroup radioButtonsGroup)
    Creates a group of radio buttons in PDF form
    Parameters:
      `pdfPage` - the PDF page in which to place the group of radio buttons
      `radioButtonsGroup` - the radio buttons group field to add

  - ### flattenFields

    public void flattenFields()